## reverse-websocket-tunnel

## Overview

`reverse-websocket-tunnel-zy` is modified version from `reverse-websocket-tunnel` and it allow you to use your own httpServer.

## Installation

```bash
yarn global add reverse-websocket-tunnel-zy
```

## Usage

### Server Side

```JavaScript
// create randome secret with crypto module
const crypto = require("crypto");
const secret = crypto.randomBytes(8).toString('hex');
const { ServerReverse } = require('reverse-websocket-tunnel');

// create a new socket
const http= require('http');
let httpServer=http.createServer()
const server = new ServerReverse(secret,httpServer);
httpServer.listen(8000,()=>{
    console.log('start server at port 8000')
})

server.start({  });
```

### Client Side

```JavaScript
const { ClientReverse } = require('reverse-websocket-tunnel');

// create a new socket client, secret is obtain from server
const client = new ClientReverse(secret);

// pipe port 3000 to remote server:8000 at port 8001
client.start({ port: 3000, tcpPort: 8001, address: 'http://remote:8000' });
```
